Name:           perl-Time-ParseDate
Version:        2015.103
Release:    1%{?dist}
Summary:        Perl modules for parsing dates and times
License:        TPDL and Public Domain
URL:            https://metacpan.org/release/Time-ParseDate

Source0:        https://cpan.metacpan.org/authors/id/M/MU/MUIR/modules/Time-ParseDate-%{version}.tar.gz
BuildArch:      noarch

Provides:       perl-Time-modules = %{version}-%{release}


BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(integer)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(Time::Piece)
BuildRequires:  perl(warnings)
BuildRequires:  tzdata

%description
Time-ParseDate provides several Perl modules, including Time::CTime,
Time::DaysInMonth, Time::JulianDay, Time::ParseDate, and Time::Timezone.
These modules can be useful for parsing and manipulating dates and times.
There are numerous options to control what is recognized and what is not.

%prep
%setup -q -n Time-ParseDate-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2015.103-1
- initial build
